export declare class ByteQueue {
    private static readonly EMPTY;
    private _buf;
    private _start;
    private _end;
    private _cachedView;
    private _cachedBuf;
    private _cachedStart;
    private _cachedEnd;
    constructor(initial?: Uint8Array);
    get length(): number;
    isEmpty(): boolean;
    view(): Uint8Array;
    reset(data?: Uint8Array): void;
    append(chunk: Uint8Array): void;
    read(length: number): Uint8Array;
    discard(length: number): void;
}
